//
//  timerViewController.m
//  timer


#import "timerViewController.h"

@implementation timerViewController



- (void)dealloc {
	
	[super dealloc];
	
}

- (void)viewDidLoad {
    [super viewDidLoad];
	
	CGRect RectFrame;
	RectFrame.origin.x = 25;
	RectFrame.origin.y = 300;
	RectFrame.size.width = 20;
	RectFrame.size.height = 20;
	
	for(int i = 0; i < 10; i++)
	{
		UIView *myView = [[UIView alloc] initWithFrame:RectFrame];
        [myView setTag:i];
        [myView setBackgroundColor:[UIColor orangeColor]];
		
        RectFrame.origin.x = RectFrame.origin.x + RectFrame.size.width + 10;
        [self.view addSubview:myView];
	}
	
	timer = [NSTimer scheduledTimerWithTimeInterval:.1 target:self selector:@selector(moveRect) userInfo:nil repeats:YES];
}

-(void)moveRect
{
	int r = rand() % 10;
	
	for(UIView *aView in [self.view subviews])
	{
		if([aView tag] == r)
		{
			int movement = rand() % 100;
			CGRect RectFrame = aView.frame;
			RectFrame.origin.y = RectFrame.origin.y - movement;
			
			[UIView beginAnimations:nil context:NULL];
			[UIView setAnimationDuration:.2];
			[aView setFrame:RectFrame];
			[UIView commitAnimations];
			
			if(RectFrame.origin.y < 0)
			{
				[timer invalidate];	
			}
		}
	}
}

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}

@end
